package router

import "github.com/gin-gonic/gin"

type AuthMiddleware interface {
	RequireAuth() gin.HandlerFunc
	RequireRole(allowedRoles ...string) gin.HandlerFunc
	RequireAdminOrManager() gin.HandlerFunc
	RequireAdmin() gin.HandlerFunc
	RequireSuperAdmin() gin.HandlerFunc
	RequireActiveUser() gin.HandlerFunc
	RequirePermissions(required ...string) gin.HandlerFunc
}
